curl --request GET \
--url https://api.cyberdesk.io/v1/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cyberdesk.io/v1/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cyberdesk.io/v1/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cyberdesk.io/v1/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cyberdesk.io/v1/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduling",
"created_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"is_priority": false,
"error": [
"<string>"
],
"output_data": {},
"input_attachment_ids": [
"<string>"
],
"output_attachment_ids": [
"<string>"
],
"run_message_history": [
{}
],
"input_values": {},
"main_prompt": "<string>",
"model_metadata": {
"main_agent_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cache_detection_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"pool_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sensitive_input_aliases": {},
"usage_metadata": {},
"post_run_checks": [
{
"status": "pending",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_run_check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_version": 123,
"name": "<string>",
"description": "<string>",
"type": "run_attachment_exists",
"order": 123,
"file_target_mode": "exact",
"file_names": [
"<string>"
],
"file_name_regex": "<string>",
"expected_match_count": 123,
"expected_match_count_ref": "<string>",
"loop_input": "<string>",
"loop_item_filename_template": "<string>",
"allow_missing_attachments": false,
"check_prompt": "<string>",
"model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"messages": [
"<string>"
],
"matched_filenames": [
"<string>"
]
}
],
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_alias": "<string>",
"release_session_after": true,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"skip": 123,
"limit": 123,
"included": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Runs
List all runs for the authenticated organization.
Supports pagination and filtering by workflow, machine, and status. Returns runs with their associated workflow and machine data.
Use the include parameter to fetch related resources in the response.
Related resources are returned in the included array following the JSON:API pattern.
Resources are deduplicated across all items in the list.
curl --request GET \
--url https://api.cyberdesk.io/v1/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cyberdesk.io/v1/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cyberdesk.io/v1/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cyberdesk.io/v1/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cyberdesk.io/v1/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduling",
"created_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"is_priority": false,
"error": [
"<string>"
],
"output_data": {},
"input_attachment_ids": [
"<string>"
],
"output_attachment_ids": [
"<string>"
],
"run_message_history": [
{}
],
"input_values": {},
"main_prompt": "<string>",
"model_metadata": {
"main_agent_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cache_detection_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fallback_model_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"pool_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sensitive_input_aliases": {},
"usage_metadata": {},
"post_run_checks": [
{
"status": "pending",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_run_check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_version": 123,
"name": "<string>",
"description": "<string>",
"type": "run_attachment_exists",
"order": 123,
"file_target_mode": "exact",
"file_names": [
"<string>"
],
"file_name_regex": "<string>",
"expected_match_count": 123,
"expected_match_count_ref": "<string>",
"loop_input": "<string>",
"loop_item_filename_template": "<string>",
"allow_missing_attachments": false,
"check_prompt": "<string>",
"model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"messages": [
"<string>"
],
"matched_filenames": [
"<string>"
]
}
],
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_alias": "<string>",
"release_session_after": true,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"skip": 123,
"limit": 123,
"included": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Optional list of fields to include per run. Always includes: id, workflow_id, machine_id, status, created_at. Provide multiple 'fields=' params to include more.
Selectable run fields for projection in list endpoints.
These are optional fields beyond the essential identifiers that are always returned (id, workflow_id, machine_id, status, created_at).
user_id, organization_id, error, output_data, input_attachment_ids, output_attachment_ids, run_message_history, input_values, main_prompt, model_metadata, pool_ids, sensitive_input_aliases, usage_metadata, session_id, session_alias, release_session_after, is_priority, started_at, ended_at, post_run_checks, machine_id Was this page helpful?